LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Suse/Novell (http://www.linuxquestions.org/questions/suse-novell-60/)
-   -   openSUSE 10.2 vmware tools issue (vmware fusion) (http://www.linuxquestions.org/questions/suse-novell-60/opensuse-10-2-vmware-tools-issue-vmware-fusion-585575/)

ln3wb13 09-18-2007 10:46 AM

openSUSE 10.2 vmware tools issue (vmware fusion)
 
Hello,
I'm running vmware fusion on a macbook pro. I installed opensuse 10.2, and I'm trying to install the vmware tools. I've got the tools in the guest OS, but when I run the vmware-config-tools.pl, it detects that the kernel headers don't match the updated kernel.

I've installed gcc and all available updates, but my kernel headers don't match the installed kernel:

rpm -qa | grep kernel:

linux-kernel-headers-2.6.18.2-3
kernel-default-2.6.18.8-0.5

I can't find any kernel headers online or through Yast that match my updated kernel. Any suggestions?

Thanks,

CH

--------------------------------

I added four other repositories to yast, and none of them had updated kernel headers ( i was searching for kernel-source in yast). I'm still at:

linux-kernel-headers-2.6.18.2-3
kernel-default-2.6.18.8-0.5

I tried manually installing kernel-source-2.6.18.8.....rpm from the web, and yast gives me an error saying that this would conflict with kernel-source-2.6.18.8-0.5 that's currently installed. I'm not sure why the 8-0.5 header files aren't installed as well.

CH

auxsvr 09-19-2007 04:59 PM

I think the opensuse folks forgot to publish an updated linux-headers package or it isn't necessary. You need to configure an update repository and update the kernel and kernel-source packages through it.

ln3wb13 09-20-2007 11:11 AM

Thanks. I updated the kernel-source package and then got:

kernel-source-2.6.18.8-0.5
kernel-default-2.6.18.8-0.5
linux-kernel-headers-2.6.18.2-3

Then the vmware tools ran fine. Thanks for the response.

CH


All times are GMT -5. The time now is 08:13 PM.